Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.slide.search.basic
Class Literals

    java.lang.Object
      org.apache.slide.search.basic.Literals

public class Literals
extends java.lang.Object

static container for some literals.

Version:
  $Revision: 1.18 $

Field Summary
`static java.lang.String` | `ALLPROP`
`static java.lang.String` | `AND`
`static java.lang.String` | `ASCENDING`
`static java.lang.String` | `BASICSEARCH`
`static java.lang.String` | `CASESENSITIVE`
`static java.lang.String` | `CONTAINS`
`static java.lang.String` | `DEPTH`
`static java.lang.String` | `DESCENDING`
`static java.lang.String` | `EQ`
`static java.lang.String` | `EXCLUDE`
`static java.lang.String` | `EXCLUDE_LASTPATHSEGEMENT`
`static int` | `FALSE`
`static java.lang.String` | `FROM`
`static java.lang.String` | `GT`
`static java.lang.String` | `GTE`
`static java.lang.String` | `HREF`
`static java.lang.String` | `INCLUDE_LASTPATHSEGEMENT`
`static java.lang.String` | `INFINITY`
`static java.lang.String` | `ISCOLLECTION`
`static java.lang.String` | `ISDEFINED`
`static java.lang.String` | `ISPRINCIPAL`
`static java.lang.String` | `LIKE`
`static java.lang.String` | `LIMIT`
`static java.lang.String` | `LITERAL`
`static java.lang.String` | `LT`
`static java.lang.String` | `LTE`
`static java.lang.String` | `NOT`
`static java.lang.String` | `NOT_CONTAINS`
`static java.lang.String` | `NOT_EQ`
`static java.lang.String` | `NOT_GT`
`static java.lang.String` | `NOT_GTE`
`static java.lang.String` | `NOT_ISCOLLECTION`
`static java.lang.String` | `NOT_ISDEFINED`
`static java.lang.String` | `NOT_ISPRINCIPAL`
`static java.lang.String` | `NOT_LIKE`
`static java.lang.String` | `NOT_LT`
`static java.lang.String` | `NOT_LTE`
`static java.lang.String` | `NOT_PROPCONTAINS`
`static java.lang.String` | `NRESULTS`
`static java.lang.String` | `OR`
`static java.lang.String` | `ORDER`
`static java.lang.String` | `ORDERBY`
`static java.lang.String` | `PROP`
`static java.lang.String` | `PROPCONTAINS`
`static java.lang.String` | `RESOURCETYPE`
`static java.lang.String` | `RESULTSET`
`static java.lang.String` | `SCOPE`
`static java.lang.String` | `SELECT`
`static int` | `TRUE`
`static int` | `UNKNOWN`
`static java.lang.String` | `WHERE`

Constructor Summary
`Literals()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ALLPROP

    public static final java.lang.String ALLPROP

See Also:
  Constant Field Values

### AND

    public static final java.lang.String AND

See Also:
  Constant Field Values

### ASCENDING

    public static final java.lang.String ASCENDING

See Also:
  Constant Field Values

### BASICSEARCH

    public static final java.lang.String BASICSEARCH

See Also:
  Constant Field Values

### CASESENSITIVE

    public static final java.lang.String CASESENSITIVE

See Also:
  Constant Field Values

### CONTAINS

    public static final java.lang.String CONTAINS

See Also:
  Constant Field Values

### DEPTH

    public static final java.lang.String DEPTH

See Also:
  Constant Field Values

### DESCENDING

    public static final java.lang.String DESCENDING

See Also:
  Constant Field Values

### EQ

    public static final java.lang.String EQ

See Also:
  Constant Field Values

### EXCLUDE

    public static final java.lang.String EXCLUDE

See Also:
  Constant Field Values

### EXCLUDE_LASTPATHSEGEMENT

    public static final java.lang.String EXCLUDE_LASTPATHSEGEMENT

See Also:
  Constant Field Values

### FROM

    public static final java.lang.String FROM

See Also:
  Constant Field Values

### GT

    public static final java.lang.String GT

See Also:
  Constant Field Values

### GTE

    public static final java.lang.String GTE

See Also:
  Constant Field Values

### HREF

    public static final java.lang.String HREF

See Also:
  Constant Field Values

### INFINITY

    public static final java.lang.String INFINITY

See Also:
  Constant Field Values

### INCLUDE_LASTPATHSEGEMENT

    public static final java.lang.String INCLUDE_LASTPATHSEGEMENT

See Also:
  Constant Field Values

### ISCOLLECTION

    public static final java.lang.String ISCOLLECTION

See Also:
  Constant Field Values

### ISDEFINED

    public static final java.lang.String ISDEFINED

See Also:
  Constant Field Values

### ISPRINCIPAL

    public static final java.lang.String ISPRINCIPAL

See Also:
  Constant Field Values

### LIKE

    public static final java.lang.String LIKE

See Also:
  Constant Field Values

### LIMIT

    public static final java.lang.String LIMIT

See Also:
  Constant Field Values

### LITERAL

    public static final java.lang.String LITERAL

See Also:
  Constant Field Values

### LT

    public static final java.lang.String LT

See Also:
  Constant Field Values

### LTE

    public static final java.lang.String LTE

See Also:
  Constant Field Values

### NOT

    public static final java.lang.String NOT

See Also:
  Constant Field Values

### NOT_CONTAINS

    public static final java.lang.String NOT_CONTAINS

See Also:
  Constant Field Values

### NOT_EQ

    public static final java.lang.String NOT_EQ

See Also:
  Constant Field Values

### NOT_GT

    public static final java.lang.String NOT_GT

See Also:
  Constant Field Values

### NOT_GTE

    public static final java.lang.String NOT_GTE

See Also:
  Constant Field Values

### NOT_ISCOLLECTION

    public static final java.lang.String NOT_ISCOLLECTION

See Also:
  Constant Field Values

### NOT_ISDEFINED

    public static final java.lang.String NOT_ISDEFINED

See Also:
  Constant Field Values

### NOT_ISPRINCIPAL

    public static final java.lang.String NOT_ISPRINCIPAL

See Also:
  Constant Field Values

### NOT_LIKE

    public static final java.lang.String NOT_LIKE

See Also:
  Constant Field Values

### NOT_LT

    public static final java.lang.String NOT_LT

See Also:
  Constant Field Values

### NOT_LTE

    public static final java.lang.String NOT_LTE

See Also:
  Constant Field Values

### NOT_PROPCONTAINS

    public static final java.lang.String NOT_PROPCONTAINS

See Also:
  Constant Field Values

### NRESULTS

    public static final java.lang.String NRESULTS

See Also:
  Constant Field Values

### OR

    public static final java.lang.String OR

See Also:
  Constant Field Values

### ORDER

    public static final java.lang.String ORDER

See Also:
  Constant Field Values

### ORDERBY

    public static final java.lang.String ORDERBY

See Also:
  Constant Field Values

### PROP

    public static final java.lang.String PROP

See Also:
  Constant Field Values

### PROPCONTAINS

    public static final java.lang.String PROPCONTAINS

See Also:
  Constant Field Values

### RESOURCETYPE

    public static final java.lang.String RESOURCETYPE

See Also:
  Constant Field Values

### RESULTSET

    public static final java.lang.String RESULTSET

See Also:
  Constant Field Values

### SCOPE

    public static final java.lang.String SCOPE

See Also:
  Constant Field Values

### SELECT

    public static final java.lang.String SELECT

See Also:
  Constant Field Values

### WHERE

    public static final java.lang.String WHERE

See Also:
  Constant Field Values

### TRUE

    public static final int TRUE

See Also:
  Constant Field Values

### FALSE

    public static final int FALSE

See Also:
  Constant Field Values

### UNKNOWN

    public static final int UNKNOWN

See Also:
  Constant Field Values

Constructor Detail

### Literals

    public Literals()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD